# Package org.eclipse.m2m.atl.engine.emfvm

Class Summary
ASM: The ASM Class, which manages an ASM program.
ASMOperation: ASM commands scheduler.
ASMXMLReader: The asm xml files reader.
AtlSuperimposeModule: Implements ATL module superimposition by load-time adaptation of the execution environment operations.
Bytecode: Defines the ATL VM bytecodes.
Messages: Utility class to access externalized Strings for EMF VM.
StackFrame: The Stack Frame implementation.

Exception Summary
ASMXMLReaderException: An ASM XML read exception.
VMException: Exceptions thrown by the VM.